Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils.synthetic.reflection
Interface Member

All Known Implementing Classes:
  EntryPoint, Constructor, Method, Field

public interface Member

Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.

Note that this is not currently derived from java.lang.reflect.Member, due to questions about how to handle declarignClass.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `Class`

Method Summary
`Class` | `getDeclaringClass()` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
`int` | `getModifiers()` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.
`void` | `setDeclaringClass(Class declaringClass)` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
`void` | `setModifiers(int modifiers)` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.

Method Detail

### getDeclaringClass

    public Class getDeclaringClass()

  Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

### getModifiers

    public int getModifiers()

  Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.

### setDeclaringClass

    public void setDeclaringClass(Class declaringClass)
                           throws SynthesisException

  Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

  Parameters:
    `declaringClass` -
  Throws:
    SynthesisException -

### setModifiers

    public void setModifiers(int modifiers)
                      throws SynthesisException

  Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.

  Parameters:
    `modifiers` -
  Throws:
    SynthesisException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference